;************************************************************
;firmware identifiers										*
;************************************************************
fcor1		equ		'1'					;firmware core
fcor2		equ		'0'
fcor3		equ		'3'
fver1		equ		'0'					;version
fver2		equ		'0'
frev1		equ		'0'					;rev
frev2		equ		'0'
;************************************************************
;set default pin values/directions, will be used in cpuinit	*
;************************************************************
portadata	equ		0x20
portbdata	equ		0x00
portcdata	equ		0x45
portddata	equ		0x00
portedata	equ		0x00
portamask	equ		0x10
portbmask	equ		0xff
portcmask	equ		0x92
portdmask	equ		0xff
portemask	equ		0x00
;************************************************************




;************************************************************
_substart	set		0x0800
;------------------------------------------------------------
_init16c74	set		true 			
_mem16c74	set		true
;------------------------------------------------------------
_beep		set		true
#define		beeppin	ra0
;------------------------------------------------------------
_m25		set		true
#define		m25cs	rc2
;------------------------------------------------------------
_mdisp		set		true
mdisppntr 	set		0x0100
;------------------------------------------------------------
_lcddisp	set		true
#define		lcddata	portd
#define		lcden	re2
#define		lcdrs	re0
#define		lcdrw	re1
;************************************************************
_bin2dec	set		true 
_bin2decd	set		true
_bin2hex	set		true
_bin2hexd	set		true
_delayms	set		true 				
_delayse	set		true 				
_hex2bin	set		true
;************************************************************
_scmmd		set		true
_sciblock1	set		true
_isr16c74a	set		true
_isrblock1	set		true
_sciuart1	set		true
scitxsta 	equ		0x20
scispbrg 	equ		0x0b
;************************************************************
;_remotemnu	set		true
;_remote10	set		true
;************************************************************








